Page MenuHomePhabricator

[Demangle][Rust] Parse function signatures
ClosedPublic

Authored by tmiasko on May 16 2021, 7:20 AM.

Diff Detail

Event Timeline

tmiasko created this revision.May 16 2021, 7:20 AM
tmiasko requested review of this revision.May 16 2021, 7:20 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 16 2021, 7:20 AM
dblaikie added inline comments.May 16 2021, 10:52 AM
llvm/lib/Demangle/RustDemangle.cpp
500–507

Rather than using print and going back to modify the data - I think it might be nicer if this re-implemented print instead (it's simple enough - the error check and !Print check, seem OK). It does mean one more place printing things - but this loop/manipulation of the buffer is akin to "printing" something, and in a more surprising way.

tmiasko updated this revision to Diff 345893.May 17 2021, 8:21 AM
tmiasko marked an inline comment as done.

Replace and print ABI string character by character.

dblaikie accepted this revision.May 21 2021, 5:10 PM

Looks good, thanks!

This revision is now accepted and ready to land.May 21 2021, 5:10 PM
This revision was landed with ongoing or failed builds.May 22 2021, 2:51 AM
This revision was automatically updated to reflect the committed changes.